Bug 1914237 - python-imbalanced-learn: FTBFS in Fedora rawhide: could not import 'keras': No module named 'keras'
Summary: python-imbalanced-learn: FTBFS in Fedora rawhide: could not import 'keras': N...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-imbalanced-learn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iztok Fister Jr.
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-08 12:15 UTC by Tomáš Hrnčiar
Modified: 2021-02-14 13:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-14 13:28:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-01-08 12:15:19 UTC
Description of problem:
Package python-imbalanced-learn fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
0.7.0-1.fc34

Steps to Reproduce:
koji build --scratch f34 python-imbalanced-learn-0.7.0-1.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-imbalanced-learn

=================================== FAILURES ===================================
________________________ test_cluster_centroids_n_jobs _________________________

    def test_cluster_centroids_n_jobs():
        # check that we deprecate the `n_jobs` parameter.
        cc = ClusterCentroids(n_jobs=1)
        with pytest.warns(FutureWarning) as record:
            cc.fit_resample(X, Y)
>       assert len(record) == 1
E       assert 65 == 1
E        +  where 65 = len(WarningsChecker(record=True))

imblearn/under_sampling/_prototype_generation/tests/test_cluster_centroids.py:122: AssertionError

Comment 1 Iztok Fister Jr. 2021-01-10 21:45:57 UTC
Hi Tomáš,

Thanks.

Test is skipped for now. Builds are now successful.

Comment 2 Tomáš Hrnčiar 2021-01-18 12:00:54 UTC
Hello Iztok, 

seems like there are another failures.

==================================== ERRORS ====================================
________________ ERROR collecting imblearn/tests/test_common.py ________________
imblearn/tests/test_common.py:17: in <module>
    from imblearn.utils.estimator_checks import parametrize_with_checks
imblearn/utils/estimator_checks.py:28: in <module>
    from sklearn.utils.estimator_checks import _mark_xfail_checks
E   ImportError: cannot import name '_mark_xfail_checks' from 'sklearn.utils.estimator_checks' (/usr/lib64/python3.9/site-packages/sklearn/utils/estimator_checks.py)
________________ ERROR collecting imblearn/tests/test_common.py ________________
ImportError while importing test module '/builddir/build/BUILD/imbalanced-learn-0.7.0/imblearn/tests/test_common.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.9/importlib/__init__.py:127: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
imblearn/tests/test_common.py:17: in <module>
    from imblearn.utils.estimator_checks import parametrize_with_checks
imblearn/utils/estimator_checks.py:28: in <module>
    from sklearn.utils.estimator_checks import _mark_xfail_checks
E   ImportError: cannot import name '_mark_xfail_checks' from 'sklearn.utils.estimator_checks' (/usr/lib64/python3.9/site-packages/sklearn/utils/estimator_checks.py)
_____________ ERROR collecting imblearn/utils/estimator_checks.py ______________
imblearn/utils/estimator_checks.py:28: in <module>
    from sklearn.utils.estimator_checks import _mark_xfail_checks
E   ImportError: cannot import name '_mark_xfail_checks' from 'sklearn.utils.estimator_checks' (/usr/lib64/python3.9/site-packages/sklearn/utils/estimator_checks.py)
________ ERROR collecting imblearn/utils/tests/test_estimator_checks.py ________
imblearn/utils/tests/test_estimator_checks.py:10: in <module>
    from imblearn.utils.estimator_checks import check_target_type
imblearn/utils/estimator_checks.py:28: in <module>
    from sklearn.utils.estimator_checks import _mark_xfail_checks
E   ImportError: cannot import name '_mark_xfail_checks' from 'sklearn.utils.estimator_checks' (/usr/lib64/python3.9/site-packages/sklearn/utils/estimator_checks.py)
________ ERROR collecting imblearn/utils/tests/test_estimator_checks.py ________
ImportError while importing test module '/builddir/build/BUILD/imbalanced-learn-0.7.0/imblearn/utils/tests/test_estimator_checks.py'.
Hint: make sure your test modules/packages have valid Python names.
Traceback:
/usr/lib64/python3.9/importlib/__init__.py:127: in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
imblearn/utils/tests/test_estimator_checks.py:10: in <module>
    from imblearn.utils.estimator_checks import check_target_type
imblearn/utils/estimator_checks.py:28: in <module>
    from sklearn.utils.estimator_checks import _mark_xfail_checks
E   ImportError: cannot import name '_mark_xfail_checks' from 'sklearn.utils.estimator_checks' (/usr/lib64/python3.9/site-packages/sklearn/utils/estimator_checks.py)
=========================== short test summary info ============================
SKIPPED [2] imblearn/keras/tests/test_generator.py:8: could not import 'keras': No module named 'keras'
SKIPPED [2] imblearn/tensorflow/tests/test_generator.py:15: could not import 'tensorflow': No module named 'tensorflow'
!!!!!!!!!!!!!!!!!!! Interrupted: 5 errors during collection !!!!!!!!!!!!!!!!!!!!
================== 4 skipped, 9 deselected, 5 errors in 2.76s ==================

Comment 3 Fedora Release Engineering 2021-01-24 04:22:37 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-05).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 4 Iztok Fister Jr. 2021-01-31 15:15:03 UTC
Hi Tomáš,

I resolved this issue. It seems no additional problems for now.

Comment 5 Ben Cotton 2021-02-09 15:38:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 6 Fedora Release Engineering 2021-02-14 04:22:28 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-05).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 7 Fedora Release Engineering 2021-02-14 04:22:28 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-05).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 8 Iztok Fister Jr. 2021-02-14 13:28:13 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.